section(anchor="BCTREADER")
  name BCT Reader

  t
    | The BCT Reader service synchronizes the cycleStamp of Timing Events
    | with BCT Device events coming from #[xref(target="BCTFPS_FESA") FTN.BCT468 FESA device].

  section
    name Configuration

    t
      | The #[em BCT Reader] service #[bcp14 SHOULD] be configured in order to define
      | service names and cycleStamp index.
    figure
      name BCTReader Configuration #[xref(target="RELAX_NG") relax-ng compact schema].
      sourcecode(type='rnc' src='ntof-software-architecture/files/BCTReader_Configuration.rnc')

    t The configuration file default location is
      | #[tt "/etc/ntof/bctreader.xml"].

    t
      | The list of available hardware and services is retrieved from the
      | #[xref(target='GLOBAL_CONFIG') global configuration] file.

  section
    name DIM API

    t The BCT Reader implements the following DIM service:
    table(align='center')
      name BCT Reader service
      thead
        tr #[th Service] #[th Description]
      tbody
        tr
          td FTN.BCT468.TOF
          td #[xref(target="BCTDevice_Params") BCT Device Data]

    section(anchor="BCTDevice_Params")
      name BCT Device Data

      t
        | This service is a DIM XML Service as described in
        | #[xref(target="dim-xml-extension-01") DIM XML Extension],
        | it is used to provide BCT Device data.

      t
        | For the full list of published parameters, consult #[xref(target="BCTFPS_FESA") the FESA class],
        | under the property #[tt Acquisition]

      table
        name BCT Device data.
        thead
          tr #[th name] #[th index] #[th type] #[th description]
        tbody
          tr #[td cycleStamp]               #[td 1] #[td 4 (int64)] #[td Cycle Timestamp]
          tr #[td totalIntensityPreferred]  #[td 13] #[td 4 (int64)] #[td Contains intensity for either ch1 or ch2 (it depends on settings)]
          tr #[td ...]                      #[td *] #[td *] #[td All the remaining attributes published by the BCTFPS FESA class]

      t
        | NOTE: Index of #[tt totalIntensityPreferred] needs to be checked once this service will be running.
